Subject: Re: [PATCH] r8169: fix a bug in rtl8169_init_phy()

From: Piotr Hosowicz <[email-masked]>
Date: Sat, 19 Mar 2011 16:49:44 +0100

On 19.03.2011 16:39, Eric Dumazet wrote:
> Le samedi 19 mars 2011 à 16:33 +0100, Eric Dumazet a écrit :
>> Le samedi 19 mars 2011 à 16:31 +0100, Oliver Neukum a écrit :
>>> Am Samstag, 19. März 2011, 16:18:50 schrieb Eric Dumazet:
>>>
>>>> Problem comes from commit 54405cde762408b00a445466a40da4f7f33a8479
>>>> (r8169: support control of advertising.)
>>>>
>>>> Reverting it brings back NIC for me
>>>
>>> Odd. It worked for me. Are you testing on a gigabit switch? Could you send
>>> me dmesg? Does it work if you use ethtool to advertise a lower speed?
>>>
>>> 	Regards
>>> 		Oliver
>>
>> I found the bug, I am sending a patch in two minutes.

I do not understand. I reverted the commit you mentioned and am building 
now. Will it suffice?

Regards,

Piotr Hosowicz

-- 
TV: "W tej chwili, że się tak wyrażę, zaliczonych mamy 17 zawodniczek."
NP: Big Big Train - Victorian Brickwork
NB: 2.6.38-git3